##
##  php-zf.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 2.4.13
%define       V_dist 2.4.13

#   package information
Name:         php-zf
Summary:      PHP Zend Framework
URL:          http://framework.zend.com/
Vendor:       Zend Technologies USA
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      BSD
Version:      %{V_opkg}
Release:      20180402

#   list of sources
Source0:      https://packages.zendframework.com/releases/ZendFramework-%{V_dist}/ZendFramework-%{V_dist}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
     Zend Framework (ZF) is a high quality and open source framework for
     developing Web Applications and Web Services with PHP. Built in
     the true PHP spirit, the Zend Framework delivers ease-of-use and
     powerful functionality. It provides solutions for building modern,
     robust, and secure websites.

%track
    prog php-zf = {
        version   = %{V_dist}
        url       = https://framework.zend.com/downloads/archives
        regex     = ZendFramework-(\d+\.\d+\.\d+(:?PL\d+)?)\.tgz
    }

%prep
    %setup -q -n ZendFramework-%{V_dist}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/php
    cp -rp library/* $RPM_BUILD_ROOT%{l_prefix}/lib/php/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

